com.fasterxml.jackson.jaxrs.json.annotation

## Class JSONP.Def

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.json.annotation.JSONP.Def

Enclosing class:
  JSONP

    public static class JSONP.Def
    extends Object

Helper class for encapsulating information from `JSONP` annotation instance.

### Field Summary

Fields
`String` `method`
`String` `prefix`
`String` `suffix`

### Constructor Summary

Constructors
Constructor and Description
`Def(JSONP json)`
`Def(String m)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### method

    public final String method

#### prefix

    public final String prefix

#### suffix

    public final String suffix

### Constructor Detail

#### Def

    public Def(String m)

#### Def

    public Def(JSONP json)